<?
if(isset($_GET['sh_myfarm']) && isset($_GET['sh_change_soil']))
{
echo '<div class="event"><h1>Меню закусочной</h1></div>';
echo "<div class='content'>";
echo "<div class='block'>";

if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_soil_sh` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
mysql_querll("UPDATE `kolhoz_user` SET `last_soil_sh` = '".intval($_GET['select'])."' WHERE `id` = '$ku[id]'");
header("Location:?sh_myfarm".$peremenn."&".passgen());
exit;
}
echo "<h3>Выбери еду</h3>";
$q=mysql_querll("SELECT * FROM `kolhoz_soil_sh`");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='img/shaht/soil/$post[id].png' alt='o' class='portrait'><div>".($ku['level']>=$post['level']?"<a href='?sh_myfarm".$peremenn."&sh_change_soil&select=$post[id]'>":null)."<span>".hsc($post['name'])."</span>".($ku['level']>=$post['level']?"</a>":null)."<span class='minor'>, ".($ku['level']>=$post['level']?"цена: </span><span><img width='16' height='16' src='img/icons/money.png' alt='o'><span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."</div><div class='minor small'>Ускоряет работу на <span class='title'>".time_left($post['time'])."</span>,опыт: <img width='16' height='16' src='img/icons/experience.png' alt='o'> <span class='title'>$post[rating]</span></div><div style='clear:both'></div></li>";
}
echo "</ul></div>";
include_once 'inc/foot.php';
}
?>